complexType "FutureValueAmount"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | currency?, amount?, calculationPeriodNumberOfDays?, valueDate?
</...>

Content Model Elements (4):

  amount (defined in NonNegativeMoney complexType), calculationPeriodNumberOfDays (in futureValueNotional), | currency (defined in MoneyBase complexType), valueDate (in futureValueNotional)

All Direct / Indirect Based Elements (1):

  futureValueNotional

Known Usage Locations

- As direct type of elements (1):
  futureValueNotional

Annotation
A type defining a currency amount as at a future value date.
Type Definition Detail

Type Derivation Tree MoneyBase (extension) NonNegativeMoney (extension) FutureValueAmount

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="FutureValueAmount"> <xsd:complexContent> <xsd:extension base="NonNegativeMoney"> <xsd:sequence> <xsd:element minOccurs="0" name="calculationPeriodNumberOfDays" type="xsd:positiveInteger"/> <xsd:element minOccurs="0" name="valueDate" type="xsd:date"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/4)
calculationPeriodNumberOfDays

  Type: | xsd:positiveInteger, predefined, simple content

  The number of days from the adjusted calculation period start date to the adjusted value date, calculated in accordance with the applicable day count fraction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationPeriodNumberOfDays" type="xsd:positiveInteger"/>

valueDate

  Type: | xsd:date, predefined, simple content

  Adjusted value date of the future value amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="valueDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.